Bug 150327 - CAN-2005-0762 Buffer overflow in SGI parser
CAN-2005-0762 Buffer overflow in SGI parser
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ImageMagick (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
impact=moderate,public=20040609,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 11:56 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 05:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix for this issue. (3.02 KB, patch)
2005-03-04 11:58 EST, Josh Bressers
no flags Details | Diff
Demo exploit for this issue. (383.50 KB, application/octet-stream)
2005-03-04 11:59 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2005-03-04 11:56:24 EST
A heap overflow when parsing SGI files with ImageMagick. AFAIK, SGI codec is one
of 'internal' codecs of IM and is enabled by default.

* fixed in 6.0.2
Comment 1 Josh Bressers 2005-03-04 11:57:29 EST
This issue should also affect RHEL2.1
Comment 2 Josh Bressers 2005-03-04 11:58:30 EST
Created attachment 111671 [details]
Proposed fix for this issue.
Comment 3 Josh Bressers 2005-03-04 11:59:02 EST
Created attachment 111672 [details]
Demo exploit for this issue.
Comment 4 Matthias Clasen 2005-03-17 16:40:33 EST
This is covered by RHSA-2005:070-09.
Comment 5 Mark J. Cox (Product Security) 2005-03-23 05:07:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-070.html

Note You need to log in before you can comment on or make changes to this bug.